Subject: Re: [Bug] Gitweb corrupting files?

From: Jakub Narebski <[email-masked]>
Date: Wed, 12 Jan 2011 10:05:45 -0800 (PST)

Severin Gehwolf <[email-masked]> writes:

> It appears that Gitweb corrupts files when it is being used for
> creating compressed tarballs of sources.

E.g. http://egit.eclipse.org/w/?p=egit.git;a=snapshot;h=6b528445c3e543688b990e0a631c5f0238b02741;sf=tbz2
error in egit/org.eclipse.egit.ui/src/org/eclipse/egit/ui/internal/dialogs/BranchSelectionDialog.java

> A more precise description of the behaviour I'm experiencing is here:
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=317882

Couldn't you post summary of the above here?
 
> Unfortunately I have no knowledge about the version in use at eclipse.org.

It's git and gitweb version 1.6.4.4.

>>From original bugreport:

   And it built fine. Then, I tried checking out sources from command line using
   the git client:

   git clone git://egit.eclipse.org/egit.git egit
   cd egit

   git checkout 6b528445c3e543688b990e0a631c5f0238b02741
   cd ..
   tar -cjf egit_test.tar.bz2 egit

This should be

$ git archive --format=tar 6b528445c3e543688b990e0a631c5f0238b02741 |
  bzip2 > egit_test.tar.bz2

   just to make sure that it isn't a problem of how tarballs are created when
   using the above URL. It seems the file in the repository is corrupted (although
   I'm not entirely convinced).      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Git version 1.6.4.4 is long since fixing bug with not using ':raw'
(binary) output layer with binary files.  Also I don't see how it
could have corrupted only 2 files, without making [compressed] archive
un-compressable (invalid).

-- 
Jakub Narebski
Poland
ShadeHawk on #git